当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [分享]Emacs中:Recursive `require' for feature `sb-info'问题的解决。
帖子发表于 : 2007-07-23 14:31 

注册: 2006-09-20 19:56
帖子: 768
送出感谢: 0 次
接收感谢: 1
相信很多人都遇到了,所以开一帖说明一下。
安装了cedet后,准确的说应该是speedbar后,使用muse、emacs-wiki以及按C-h i会报这个错误。
这是speedbar的一个bug,解决方法。
在speedbar安装目录下sb-info.el中
代码:
(eval-after-load "info" '(require 'sb-info))


这一行前面添加
代码:
(provide 'sb-info)

然后把这个文件重新编译一下(emacs中, M-x byte-compile-file),用编译出来的文件sb-info.elc替换原来的sb-info.elc,搞定。
至于你speedbar中的sb-info.el、sb-info.elc在哪儿,随安装方式的不同而不同(源里或者自编译),用find找吧。

PS,如果你是7.10,恭喜,升级到cedet 1.0 pre4 就不存在这个问题了,并且也不用设置semantic的idle time了,升级就是好东西。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译